EulerOS 2.0 SP1 : kernel (EulerOS-SA-2016-1007)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote EulerOS host is missing a security update.

Description :

According to the version of the kernel packages installed, the
EulerOS installation on the remote host is affected by the following
vulnerability :

- It was found that the fix for CVE-2015-1805 incorrectly
kept buffer offset and buffer length in sync on a
failed atomic read, potentially resulting in a pipe
buffer state corruption. A local, unprivileged user
could use this flaw to crash the system or leak kernel
memory to user space. (CVE-2016-0774)

Note that Tenable Network Security has extracted the preceding
description block directly from the EulerOS security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

http://www.nessus.org/u?e33a4fff

Solution :

Update the affected kernel package.

Risk factor :

Medium / CVSS Base Score : 5.6
(CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:C)
CVSS Temporal Score : 4.6
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Huawei Local Security Checks

Nessus Plugin ID: 99770 ()

Bugtraq ID:

CVE ID: CVE-2016-0774

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now